﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.3
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub


'Reads the value of a file attribute.
Public Sub GetAttribute(FilePath As String, Attribute As String) As Object
	Dim Path As Object = GetPath(FilePath)
	Dim LinkOptions As JavaObject
	LinkOptions.InitializeArray("java.nio.file.LinkOption",Array())
	Dim TJO1 As JavaObject
	TJO1.InitializeStatic("java.nio.file.Files")
	Return TJO1.RunMethod("getAttribute",Array As Object(Path, Attribute,  LinkOptions))
End Sub
'Reads a set of file attributes as a bulk operation.
Public Sub ReadAttributes(FilePath As Object, Attributes As String) As Map
	Dim Path As Object = GetPath(FilePath)
	Dim M As Map
	M.Initialize
	
	Dim LinkOptions As JavaObject
	LinkOptions.InitializeArray("java.nio.file.LinkOption",Array())
	
	Dim TJO1 As JavaObject
	TJO1.InitializeStatic("java.nio.file.Files")
	Dim Result As JavaObject = TJO1.RunMethod("readAttributes",Array As Object(Path, Attributes, LinkOptions))
	
	Dim MO As JavaObject = M
	MO.RunMethod("putAll",Array(Result))
  
	Return M
  
  
End Sub

Private Sub GetPath(FilePath As String) As JavaObject
	Dim Paths As JavaObject
	Paths.InitializeStatic("java.nio.file.Paths")
	Return Paths.RunMethod("get",Array(FilePath,Array As String()))
End Sub